{% extends "base.html" %} {% load static %} {% block css %}

<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="{% static 'css/select2.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2-bootstrap.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/pmd-select2.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/textfield.css' %}"> 
<link href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.css" rel="stylesheet">
{% endblock css %} {% block title %}

<h1>Historial de Proyectos y Propuestas</h1>
<ol class="breadcrumb">
    <li>
        <a style="cursor: default; color: white;">Dashboard</a>
    </li>
    <li>
        <a style="cursor: default; color: white;">Proyectos</a>
    </li>
    <li class="active">Historial</li>
</ol>
{% endblock title %} {% block content %}
<div class="modal fade" id="basic_modal" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel-2">Editar proyecto</h4>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="modal-body">
                <div id="propose" class="col-sm-12 col-sm-12">
                    <div class="card">
                        <header class="card-heading card-default">
                            <h2 class="card-title">Formulario de la propuesta</h2>
                        </header>
                        <div class="card-body">
                            <form action="" class="" id="form-horizontal">
                                <div class="row">
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <label for="title" class="control-label">Nombre proyecto:</label>
                                            <input id="title" type="text" name="title" placeholder="Ingrese nombre proyecto" data-rule-required="true"
                                                class="form-control" aria-required="true">
                                        </div>
                                    </div>
                                    <div class="col-sm-5 col-md-5">
                                        <div class="form-group">
                                            <label for="carrera" class="control-label">Carrera:</label>
                                            <select id="carrera" class="select form-control" disabled data-rule-required="true" aria-required="true">
                                                <option>Elija una carrera ...</option>
                                                {% for carreer in carreers %}
                                                <option value="{{carreer.1}}">{{carreer.0}}</option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-2 col-md-2">
                                        <div class="form-group">
                                            <label for="cupos" class="control-label">Año:</label>
                                            <input id="anio" type="text" name="anio" placeholder="Ingrese año..." data-rule-required="true"
                                                data-rule-range="[1,3000]" class="form-control" aria-required="true">
                                        </div>
                                    </div>

                                    <div class="col-sm-3 col-md-3">
                                        <div class="form-group">
                                            <label for="periodo" class="control-label">Período:</label>
                                            <select id="periodo" style="width:100%" class="select-with-search pmd-select2 pmd-select2-tags pmd-textfield-floating-label pmd-textfield form-control form-control" data-rule-required="true" aria-required="true">
                                                <option>Elija un período ...</option>
                                                {% for periodo in periods %}
                                                <option value="{{periodo.0}}">{{periodo.1}}</option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-1 col-md-1">
                                        <div class="form-group">
                                            <label for="cupos" class="control-label">Cupos:</label>
                                            <input id="cupos" type="text" name="cupos" placeholder="Ingrese cantidad de cupos..." data-rule-required="true"
                                                data-rule-range="[1,40]" class="form-control" aria-required="true">
                                        </div>
                                    </div>
                                    {% comment %} <div class="col-sm-4 col-md-4">
                                        <div class="form-group">
                                            <label for="teacher" class="control-label">Profesor:</label>
                                            <select id="teacher" disabled class="select form-control">
                                            </select>
                                        </div>
                                    </div> {% endcomment %}
                                </div>
                                <div class="row">
                                    {% comment %}<div class="col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <label class="" for="estudiantes">Estudiantes:</label>
                                            <select id="estudiantes" autocomplete="on" class="select form-control" multiple="multiple" disabled="">
                                                <option selected value="0">Cargando...</option>
                                            </select>
                                        </div>
                                    </div>{% endcomment %}
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group" style="margin-top:2%">
                                            <label for="cupos" class="control-label">Tags:</label>
                                            <div class="chips chips-custom"></div>
                                        </div>
                                    </div>
                                </div> 
                                <div class="row">
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <label for="descripcion">Descripción: </label>
                                            <textarea rows=4 class="form-control" data-rule-required="true" aria-required="true" name="" id="descripcion"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-footer border-top">
                            <ul class="card-actions text-center" style="padding-left: 0px;">
                                <li id="new_project">
                                    <a id="submit" class="btn btn-block btn-default btn-success">
                                        Aceptar
                                    </a>
                                </li>
                                <li id="update_project" style="display:none">
                                    <a id="update" valueid="" class="btn btn-block btn-default btn-warning">
                                        Actualizar
                                    </a>
                                    <a id="cancel_update" class="btn btn-block btn-default btn-danger">
                                        Cancelar
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary">Ok</button>
            </div>

        </div>
    </div>
</div>
<div id="content" class="container-fluid row">
    <div class="col-sm-3">
        <a href="#proposed" id="btn_proposed">
            <div class="card">
                <header class="card-heading card-blue">
                    <div class="row">
                        <div class="col-sm-7">
                            <h2 class="card-title">Proyectos propuestos</h2>
                        </div>
                        <div class="col-sm-5">
                            <i class="zmdi zmdi-hc-3x zmdi-file-plus"></i>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="font-size-30">{{cant_prop}}</h4>
                            <h4>Proyectos</h4>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-sm-3">
        <a href="#revision" id="btn_revision">
            <div class="card">
                <header class="card-heading card-yellow">
                    <div class="row">
                        <div class="col-sm-7">
                            <h2 class="card-title">Propuestas en revisión</h2>
                        </div>
                        <div class="col-sm-5">
                            <i class="zmdi zmdi-hc-3x zmdi-assignment-alert"></i>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="font-size-30">{{prop_er}}</h4>
                            <h4>Proyectos</h4>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-sm-3">
        <a href="#approved" id="btn_approved">
            <div class="card">
                <header class="card-heading card-purple">
                    <div class="row">
                        <div class="col-sm-7">
                            <h2 class="card-title">Propuestas aprobadas</h2>
                        </div>
                        <div class="col-sm-5">
                            <i class="zmdi zmdi-hc-3x zmdi-badge-check"></i>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="font-size-30">{{prop_ap}}</h4>
                            <h4>Proyectos</h4>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-sm-3">
        <a href="#rejected" id="btn_rejected">
            <div class="card">
                <header class="card-heading card-accent">
                    <div class="row">
                        <div class="col-sm-7">
                            <h2 class="card-title">Propuestas rechazadas</h2>
                        </div>
                        <div class="col-sm-5">
                            <i class="zmdi zmdi-hc-3x zmdi-close-circle-o"></i>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="font-size-30">{{prop_re}}</h4>
                            <h4>Proyectos</h4>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-sm-12 col-sm-12 dt_projects dt_proposed" style="display:{{ display_proposed }}">
        <div class="card card-data-tables product-table-wrapper">
            <header class="card-heading card-blue text-center">
                {% if request.session.type == "DO" %}
                <h2 class="card-title">Mis Propuestas y Proyectos Asignados</h2>
                {% else %}
                <h2 class="card-title">Mis Propuestas</h2>
                {% endif %}
                <div class="card-search">
                    <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                        <i class="zmdi zmdi-search search-icon-left"></i>
                        <input type="text" class="form-control filter-input" placeholder="Filtrar proyectos" autocomplete="off">
                        <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Cerrar">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </div>
                </div>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filtrar proyectos">
                            <i class="zmdi zmdi-search"></i>
                        </a>
                    </li>
                    <li>
                        <a href="{% url 'project_propose' %}" data-toggle="tooltip" data-placement="top" data-original-title="Proponer proyectos">
                            <i class="zmdi zmdi-plus"></i>
                        </a>
                    </li>
                </ul>
            </header>
            <div class="card-body p-0">
                <div class="row">
                    <div class="col-md-12">
                        <table id="propose_projects" class="mdl-data-table  m-t-30" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>Título</th>
                                    <th>Docente</th>
                                    <th>Cupos disponibles</th>
                                    <th>Periodo</th>
                                    <th>Estado</th>
                                    <th data-orderable="false">
                                        Acciones
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for project in projects %}
                                <tr>
                                    <td>
                                        <span id="project_name" valueid="project_{{project.pk}}">{{project.name}}</span>
                                    </td>
                                    <td>
                                        <span id="project_teacher" valueid="project_{{project.pk}}">{% if project.guide_teacher %}{{project.guide_teacher.name}}{% else %}Sin Docente{% endif %}</span>
                                    </td>
                                    <td>
                                        <span id="project_vacancy">{{project.vacancy_total}}</span>
                                    </td>
                                    <td>
                                        <span id="project_date">{{project.year}}{{project.period}}</span>
                                    </td>
                                    {% if project.status == "ER" %}
                                    <td>
                                        <span class="label label-warning">Pendiente</span>
                                    </td>
                                    {% elif project.status == "AC" %}
                                    <td>
                                        <span class="label label-success">Aceptado</span>
                                    </td>
                                    {% elif project.status == "AP" %}
                                    <td>
                                        <span class="label label-success">Aprobado</span>
                                    </td>
                                    {% elif project.status == "RE" %}
                                    <td>
                                        <span class="label label-danger">Rechazado</span>
                                    </td>
                                    {% elif project.status == "RP" %}
                                    <td>
                                        <span class="label label-danger">Reprobado</span>
                                    </td>
                                    {% elif project.status == "EC" %}
                                    <td>
                                        <span class="label label-success">En Curso</span>
                                    </td>
                                    {% elif project.status == "ED" %}
                                    <td>
                                        <span class="label label-info">Sin Docente</span>
                                    </td>
                                    {% endif %}
                                    <td>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                                <a href="{% url 'tesista_details' project.pk %}" class="btn btn-info btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Más detalles">
                                                    <i class="zmdi zmdi-eye"></i>
                                                </a>
                                            </div>
                                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                                <button class="edit_project btn btn-warning btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Editar">
                                                    <i class="zmdi zmdi-edit"></i>
                                                </button>
                                            </div>
                                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                                <button class="delete_project btn btn-danger btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Eliminar">
                                                    <i class="zmdi zmdi-delete"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-sm-12 dt_projects dt_revision" style="display:{{ display_revision }}">
        <div class="card card-data-tables product-table-wrapper">
            <header class="card-heading card-yellow text-center">
                <h2 class="card-title">Propuestas en revisión</h2>
                <div class="card-search">
                    <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                        <i class="zmdi zmdi-search search-icon-left"></i>
                        <input type="text" class="form-control filter-input" placeholder="Filtrar proyectos" autocomplete="off">
                        <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Cerrar">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </div>
                </div>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filtrar proyectos">
                            <i class="zmdi zmdi-search"></i>
                        </a>
                    </li>
                    <li>
                        <a href="{% url 'project_propose' %}" data-toggle="tooltip" data-placement="top" data-original-title="Proponer proyectos">
                            <i class="zmdi zmdi-plus"></i>
                        </a>
                    </li>
                    <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Cantidad de proyectos a mostrar">
                        <a href="javascript:void(0)" data-toggle="dropdown">
                            <i class="zmdi zmdi-more-vert"></i>
                        </a>
                        <div id="dataTablesLength">
                        </div>
                    </li>
                </ul>
            </header>
            <div class="card-body p-0">
                <div class="">
                    <table id="revision_projects" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th class="col-sm-3 col-xs-3">Título</th>
                                <th class="col-sm-2 col-xs-2">Cupos</th>
                                <th class="col-sm-2 col-xs-2">Fecha</th>
                                <th class="col-sm-2 col-xs-2">Estado</th>
                                <th data-orderable="false" class="col-sm-3 col-xs-3">
                                    Acciones
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for project in projects %} {% if project.status == "ER" %}
                            <tr>
                                <td>
                                    <span id="project_name" valueid="project_{{project.pk}}">{{project.name}}</span>
                                </td>
                                <td>
                                    <span id="project_vacancy">{{project.vacancy_available}}</span>
                                </td>
                                <td>
                                    <span id="project_date">{{project.date}}</span>
                                </td>
                                {% if project.status == "ER" %}
                                <td>
                                    <span class="label label-warning">Pendiente</span>
                                </td>
                                {% elif project.status == "AC" %}
                                <td>
                                    <span class="label label-success">Aceptado</span>
                                </td>
                                {% elif project.status == "RE" %}
                                <td>
                                    <span class="label label-danger">Rechazado</span>
                                </td>
                                {% elif project.status == "EC" %}
                                <td>
                                    <span class="label label-success">En Curso</span>
                                </td>
                                {% endif %}
                                <td>
                                    <div class="row">
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <a href="{% url 'tesista_details' project.pk %}" class="btn btn-info btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Más detalles">
                                                <i class="zmdi zmdi-eye"></i>
                                            </a>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <button class="edit_project btn btn-warning btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Editar">
                                                <i class="zmdi zmdi-edit"></i>
                                            </button>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <button class="delete_project btn btn-danger btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Eliminar">
                                                <i class="zmdi zmdi-delete"></i>
                                            </button>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            {% endif %} {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-sm-12 dt_projects dt_approved" style="display:{{ display_approved }}">
        <div class="card card-data-tables product-table-wrapper">
            <header class="card-heading card-purple text-center">
                <h2 class="card-title">Propuestas aprobadas</h2>
                <div class="card-search">
                    <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                        <i class="zmdi zmdi-search search-icon-left"></i>
                        <input type="text" class="form-control filter-input" placeholder="Filtrar proyectos" autocomplete="off">
                        <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Cerrar">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </div>
                </div>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filtrar proyectos">
                            <i class="zmdi zmdi-search"></i>
                        </a>
                    </li>
                    <li>
                        <a href="{% url 'project_propose' %}" data-toggle="tooltip" data-placement="top" data-original-title="Proponer proyectos">
                            <i class="zmdi zmdi-plus"></i>
                        </a>
                    </li>
                    <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Cantidad de proyectos a mostrar">
                        <a href="javascript:void(0)" data-toggle="dropdown">
                            <i class="zmdi zmdi-more-vert"></i>
                        </a>
                        <div id="dataTablesLength">
                        </div>
                    </li>
                </ul>
            </header>
            <div class="card-body p-0">
                <div class="">
                    <table id="approved_projects" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th class="col-sm-3 col-xs-3">Título</th>
                                <th class="col-sm-2 col-xs-2">Cupos</th>
                                <th class="col-sm-2 col-xs-2">Fecha</th>
                                <th class="col-sm-2 col-xs-2">Estado</th>
                                <th data-orderable="false" class="col-sm-3 col-xs-3">
                                    Acciones
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for project in projects %} {% if project.status == "AC" or project.status == "EC" %}
                            <tr>
                                <td>
                                    <span id="project_name" valueid="project_{{project.pk}}">{{project.name}}</span>
                                </td>
                                <td>
                                    <span id="project_vacancy">{{project.vacancy_available}}</span>
                                </td>
                                <td>
                                    <span id="project_date">{{project.date}}</span>
                                </td>
                                {% if project.status == "ER" %}
                                <td>
                                    <span class="label label-warning">Pendiente</span>
                                </td>
                                {% elif project.status == "AC" %}
                                <td>
                                    <span class="label label-success">Aceptado</span>
                                </td>
                                {% elif project.status == "RE" %}
                                <td>
                                    <span class="label label-danger">Rechazado</span>
                                </td>
                                {% elif project.status == "EC" %}
                                <td>
                                    <span class="label label-success">En Curso</span>
                                </td>
                                {% endif %}
                                <td>
                                    <div class="row">
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <a href="{% url 'tesista_details' project.pk %}" class="btn btn-info btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Más detalles">
                                                <i class="zmdi zmdi-eye"></i>
                                            </a>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <button class="edit_project btn btn-warning btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Editar">
                                                <i class="zmdi zmdi-edit"></i>
                                            </button>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <button class="delete_project btn btn-danger btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Eliminar">
                                                <i class="zmdi zmdi-delete"></i>
                                            </button>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            {% endif %} {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-sm-12 dt_projects dt_rejected" style="display:{{ display_rejected }}">
        <div class="card card-data-tables product-table-wrapper">
            <header class="card-heading card-accent text-center">
                <h2 class="card-title">Propuestas rechazadas</h2>
                <div class="card-search">
                    <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                        <i class="zmdi zmdi-search search-icon-left"></i>
                        <input type="text" class="form-control filter-input" placeholder="Filtrar proyectos" autocomplete="off">
                        <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Cerrar">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </div>
                </div>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filtrar proyectos">
                            <i class="zmdi zmdi-search"></i>
                        </a>
                    </li>
                    <li>
                        <a href="{% url 'project_propose' %}" data-toggle="tooltip" data-placement="top" data-original-title="Proponer proyectos">
                            <i class="zmdi zmdi-plus"></i>
                        </a>
                    </li>
                    <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Cantidad de proyectos a mostrar">
                        <a href="javascript:void(0)" data-toggle="dropdown">
                            <i class="zmdi zmdi-more-vert"></i>
                        </a>
                        <div id="dataTablesLength">
                        </div>
                    </li>
                </ul>
            </header>
            <div class="card-body p-0">
                <div>
                    <table id="rejected_projects" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th class="col-sm-3 col-xs-3">Título</th>
                                <th class="col-sm-2 col-xs-2">Cupos</th>
                                <th class="col-sm-2 col-xs-2">Fecha</th>
                                <th class="col-sm-2 col-xs-2">Estado</th>
                                <th data-orderable="false" class="col-sm-3 col-xs-3">
                                    Acciones
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for project in projects %} {% if project.status == "RE" %}
                            <tr>
                                <td>
                                    <span id="project_name" valueid="project_{{project.pk}}">{{project.name}}</span>
                                </td>
                                <td>
                                    <span id="project_vacancy">{{project.vacancy_available}}</span>
                                </td>
                                <td>
                                    <span id="project_date">{{project.date}}</span>
                                </td>
                                {% if project.status == "ER" %}
                                <td>
                                    <span class="label label-warning">Pendiente</span>
                                </td>
                                {% elif project.status == "AC" %}
                                <td>
                                    <span class="label label-success">Aceptado</span>
                                </td>
                                {% elif project.status == "RE" %}
                                <td>
                                    <span class="label label-danger">Rechazado</span>
                                </td>
                                {% elif project.status == "EC" %}
                                <td>
                                    <span class="label label-success">En Curso</span>
                                </td>
                                {% endif %}
                                <td>
                                    <div class="row">
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <a href="{% url 'tesista_details' project.pk %}" class="btn btn-info btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Más detalles">
                                                <i class="zmdi zmdi-eye"></i>
                                            </a>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <button class="edit_project btn btn-warning btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Editar">
                                                <i class="zmdi zmdi-edit"></i>
                                            </button>
                                        </div>
                                        <div class="col-md-4 col-sm-4 col-xs-4" style="padding-left:2%">
                                            <button class="delete_project btn btn-danger btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Eliminar">
                                                <i class="zmdi zmdi-delete"></i>
                                            </button>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            {% endif %} {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %} {% block javascript %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<script src="{% static 'js/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js' %}"></script>
<script src="{% static 'js/global.js' %}"></script>
<script src="{% static 'js/pmd-select2.js' %}"></script>
<script src="{% static 'js/select2.full.js' %}"></script>
<script src="{% static 'js/textfield.js' %}"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js'></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.js"></script>

<script>
    
    $(document).on("click", "#update", function () {
        console.log("clic update");

        $("#form-horizontal").validate({
            rules: {
                descripcion: {
                    required: true,
                    minlength: 200,
                    maxlength: 1300,
                },
            },
            messages: {

                descripcion: {
                    required: "Campo necesario.",
                    minlength: jQuery.validator.format("Al menos {0} caracteres!"),
                    maxlength: jQuery.validator.format("Como máximo {0} caracteres!"),
                },
            }
        });
        if ($("#form-horizontal").valid()) {
            var title = $("#title").val();
            var descripcion = $("#descripcion").val();
            var cupos = $("#cupos").val();
            var anio = $("#anio").val();
            var periodo = $("#periodo").val();
            var tags = "";
            $(".chip").each(function () {
                tags = tags + $(this).html() + ",";

            });
            var data = {
                info: $(this).attr('valueid'),
                csrfmiddlewaretoken: '{{ csrf_token }}',
                title: title,
                descripcion: descripcion,
                cupos: cupos,
                tags:tags,
                anio:anio,
                periodo:periodo,

            }
            $.ajax({
                type: "post",
                url: "{% url 'update_project_detail' %}",
                data: data,
                success: function (response) {
                    $("#cupos").val("");
                    $("#periodo").val("");
                    $("#titulo").val("");
                    var descripcion = $("#descripcion").val("");
                    swal("Éxito!", "Propuesta actualizada!", "success")
                        .then((value) => {
                            window.location.reload();
                        });
                },
                error: function () {
                    //SWEETALERT
                },
            })
        } else {
            swal("Algo salió mal!", "Verifíca los campos!", "error");
        }


    });

    $(document).on('click', '#cancel_update', function () {
        window.location.reload();
    });

    $(document).on('click', '.edit_project', function () {

        var fila = $(this).closest('tr');
        $.ajax({
            type: "post",
            url: "{% url 'edit_project' %}",
            data: {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                info: fila.find('#project_name').attr('valueid'),
            },
            success: function (result) {
                $('#basic_modal').modal('show');
                $('#update').attr('valueid', fila.find('#project_name').attr('valueid'));
                $('#title').val(result.data.name);
                $('#anio').val(result.data.year);
                $('#periodo').val(result.data.period);
                $('#periodo').trigger('change');
                $('#descripcion').val(result.data.description);
                $('#cupos').val(result.data.vacancy_available);
                $('#carrera').val(result.data.carreer).trigger('change');
                console.log(result.data.tags)
                var tags = []

                $.each(result.data.tags, function (index, item) {
                    tags.push({
                        tag: item
                    });
                });

                $('.chips-custom').material_chip({
                    data: tags,
                });

                var element_top = $('#propose').offset().top;
                $("html, body").animate({ scrollTop: (element_top - 70) }, 1000);
                $('#new_project').hide();
                $('#update_project').show();

            },
            error: function () {
                swal("Error", "Ocurrió un error al intentar realizar la operación, inténtelo más tarde.", "error");
            },
        });

    });


    $(document).on('click', '.delete_project', function () {
        var fila = $(this).closest('tr');
        swal({
            title: 'Eliminar proyecto',
            text: 'Esta acción eliminará el proyecto "' + fila.find('#project_name').text().trim() + '", ¿Desea continuar?',
            icon: 'warning',
            buttons: {
                cancel: "Cancelar",
                confirm: "Eliminar"
            },
            dangerMode: true,
        }, ).then((isConfirm) => {
            if (isConfirm) {
                $.ajax({
                    type: "post",
                    url: "{% url 'delete_project' %}",
                    data: {
                        csrfmiddlewaretoken: '{{ csrf_token }}',
                        info: fila.find('#project_name').attr('valueid'),
                    },
                    success: function (result) {

                        swal(result.data.title, result.data.message, result.data.type)
                            .then((value) => {
                                window.location.reload();
                            });
                    },
                    error: function () {
                        swal("Error", "Ocurrió un error al intentar realizar la operación, inténtelo más tarde.", "error");
                    },
                });
            }
        });

    });

    $(document).on('click', '#btn_proposed', function () {
        $('.dt_projects').addClass('animated fadeOut');
        $('.dt_projects').hide();
        $('.dt_projects').removeClass('animated fadeOut');
        $('.dt_proposed').show();
        $('.dt_proposed').addClass('animated fadeIn');
    });

    $(document).on('click', '#btn_revision', function () {
        $('.dt_projects').addClass('animated fadeOut');
        $('.dt_projects').hide();
        $('.dt_projects').removeClass('animated fadeOut');
        $('.dt_revision').show();
        $('.dt_revision').addClass('animated fadeIn');
    });

    $(document).on('click', '#btn_approved', function () {
        $('.dt_projects').addClass('animated fadeOut');
        $('.dt_projects').hide();
        $('.dt_projects').removeClass('animated fadeOut');
        $('.dt_approved').show();
        $('.dt_approved').addClass('animated fadeIn');
    });

    $(document).on('click', '#btn_rejected', function () {
        $('.dt_projects').addClass('animated fadeOut');
        $('.dt_projects').hide();
        $('.dt_projects').removeClass('animated fadeOut');
        $('.dt_rejected').show();
        $('.dt_rejected').addClass('animated fadeIn');
    });

    $(document).ready(function () {
        $("#descripcion").summernote();
        var last_valid_selection = null;


        $(".select-with-search").select2({
            theme: "bootstrap"
        });


        $(".mipropioselect").select2();


        $('#estudiantes').change(function (event) {

            if ($(this).val().length > $("#cupos").val()) {

                $(this).val(last_valid_selection);
            } else {
                last_valid_selection = $(this).val();
            }
        });
        $(".chips-custom").material_chip({
            autocompleteOptions: {
                data: {
                    {% for tag in tags %}
					"{{tag.value}}": null,
                    {% endfor %}
				},
        limit: Infinity,
        minLength: 1
			}
        });

    {% if request.session.type == 'DO' %}
    $("#teacher").html('<option selected value="{{ request.session.rut }}">{{request.user.first_name}} {{request.user.last_name}}</option>');
    {% endif %}
    $("#my_propose").addClass("active");
    });

    function load_teachers_students(data, lists) {
        {% if request.session.type != 'DO' %}
        $.ajax({
            type: "post",
            url: "{% url 'get_teachers' %}",
            data: data,
            success: function (response) {
                $("#teacher").html(response.html);
                if (lists != null) {
                    $('#teacher').val(lists.guide_teacher).trigger('change');
                }

            },
            error: function () {
                //SWEETALERT
            },
        });
        {% endif %}
        $.ajax({
            type: "post",
            url: "{% url 'get_students' %}",
            data: data,
            success: function (response) {
                $("#estudiantes").prop("disabled", false)
                $("#estudiantes").html(response.html);
                if (lists != null) {
                    console.log(lists.student_list)
                    $.each(lists.student_list, function (i, e) {
                        var info = $('#estudiantes option[value="' + e + '"]').text();
                        $('.dropdownjs li:contains("' + info + '")').trigger('click');
                    });
                }
            },
            error: function () {
                //SWEETALERT
            },
        });
    }
</script> {% endblock javascript %}